Imports System.IO
Public Class Form1
    Private Sub btnListaFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnListaFile.Click
        Try
            Me.lstFilesCartella.Items.Clear()
            Dim i As Integer = 0
            Dim d, d1
            d1 = Directory.GetFiles(Me.txtDirectory.Text)
            For Each d In d1
                i = i + 1
                lstFilesCartella.Items.Add(d)
            Next
            lblNumeroFileCartella.Text = i
            Me.GroupBox1.Enabled = True
            Me.GroupBox2.Enabled = True
        Catch ex As Exception
            Me.GroupBox1.Enabled = False
            Me.GroupBox2.Enabled = False
            Me.txtDirectory.Clear()
            Me.txtOraCreazione.Clear()
            Me.txtOraUltimoAccesso.Clear()
            Me.txtOraUltimaModifica.Clear()
            Me.txtAttributi.Clear()
            lblNumeroFileCartella.Text = "0"
            Me.GroupBox1.Text = "Non hai selezionato nessun file"
            Me.GroupBox2.Text = "Non hai selezionato nessun file"
            MessageBox.Show("Non trovo la cartella", "Errore", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try
    End Sub

    Private Sub txtDirectory_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDirectory.TextChanged
        If Me.txtDirectory.Text = String.Empty Then
            Me.btnListaFile.Enabled = False
        Else
            Me.btnListaFile.Enabled = True
        End If
    End Sub

    Private Sub lstFilesCartella_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstFilesCartella.SelectedIndexChanged
        Me.GroupBox1.Text = "File Selezionato: " & Me.lstFilesCartella.SelectedItem
        Me.GroupBox2.Text = "File Selezionato: " & Me.lstFilesCartella.SelectedItem
        Me.txtOraCreazione.Text = File.GetCreationTime(Me.lstFilesCartella.SelectedItem)
        Me.txtOraUltimoAccesso.Text = File.GetLastAccessTime(Me.lstFilesCartella.SelectedItem)
        Me.txtOraUltimaModifica.Text = File.GetLastWriteTime(Me.lstFilesCartella.SelectedItem)
        Me.txtAttributi.Text = File.GetAttributes(Me.lstFilesCartella.SelectedItem)
    End Sub

    Private Sub btnModifiche_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnModifiche.Click
        Me.GroupBox1.Text = "File Selezionato: " & Me.lstFilesCartella.SelectedItem
        Me.GroupBox2.Text = "File Selezionato: " & Me.lstFilesCartella.SelectedItem
        File.SetCreationTime(Me.lstFilesCartella.SelectedItem, Me.MaskedTxtOraCrezione.Text)
        File.SetLastAccessTime(Me.lstFilesCartella.SelectedItem, Me.MaskedTxtOraUltimoAccesso.Text)
        File.SetLastWriteTime(Me.lstFilesCartella.SelectedItem, Me.MaskedTxtOraUltimaModifica.Text)
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnInfo.Click
        Form2.Show()
    End Sub
End Class
